Failure[INSTALL_PARSE_FAILED_USESDK_ERROR]

今天真机调试遇到的问题,按照官网教程,看了手机的适配api和releasetype,如下

Failure[INSTALL_PARSE_FAILED_USESDK_ERROR]-开源基础软件社区

编译器也更新到了最新版本的SDK和工具链,如下
Failure[INSTALL_PARSE_FAILED_USESDK_ERROR]-开源基础软件社区但还是报错

Failure[INSTALL_PARSE_FAILED_USESDK_ERROR]-开源基础软件社区显示版本不匹配

手机的版本信息如下:

Failure[INSTALL_PARSE_FAILED_USESDK_ERROR]-开源基础软件社区

希望大佬能讲讲哪里设置有问题

鸿蒙
版本问题
真机调试
2021-07-07 18:47:46
浏览
收藏 0
回答 5
已解决
回答 5
按赞同
/
按时间
日暮月垂
4

我的配置如上,删去字段releaseType仍然报错

分享
微博
QQ
微信
回复
2021-07-08 09:47:25
Anzia
3

第一个图片显示你手机的sdk版本是5,但是有可能你的项目用了sdk6的api,你可以在DES去掉SDK6的选项再打包试试

分享
微博
QQ
微信
回复1
2021-07-07 23:38:41
wx60a75810c508a
3

版本问题,

分享
微博
QQ
微信
回复2
2021-07-08 09:31:39
学徒王小剑
3

根据手机ROM设置版本号,至于releasetype可以根据 hdc shell getprop hw_sc.build.os.releasetype 获取的值(如:Beta1、Beta2、Release)要把"releaseType"对应的值设置成这样

分享
微博
QQ
微信
回复
2021-07-08 14:40:30
日暮月垂
2

已经发现问题,使用的鸿蒙样机无法收到鸿蒙系统的更新,需要专业处理将系统更新,随后可以正常使用真机进行调试

HarmonyOS更新换代非常迅速,版本管理比较复杂,不同版本的编译器与手机适配要仔细验证

 

分享
微博
QQ
微信
回复5
2021-07-15 15:57:52
相关问题
Failure[INSTALL_FAILED_BUNDLE_INFO_NOT_CONFIG]
716浏览 • 1回复 待解决
报错:Error while Deploying HAP。
2999浏览 • 2回复 待解决
使用安装命令报错install invalid hap size
3141浏览 • 1回复 待解决
neptune 烧写报错[upload] Error -1
1894浏览 • 2回复 待解决
SdkError: DOWNLOAD_SDK_ERROR怎么回事?
1264浏览 • 1回复 待解决
DevEco Studio工程同步提示LABEL_VALUE_ERROR
1012浏览 • 1回复 已解决
. > An error occur in configuration.
1815浏览 • 1回复 待解决